# UserDataType

Represents a domain (user-defined data type).

Methods
void | checkRename()
void | checkRename()
Column | getColumn()
Column | getColumn()
String | getCreateSQL()
String | getCreateSQL()
String | getCreateSQLForCopy(Table table, String quotedName)
String | getCreateSQLForCopy(Table table, String quotedName)
String | getDropSQL()
String | getDropSQL()
int | getType()
int | getType()
void | removeChildrenAndResources(Session session)
void | removeChildrenAndResources(Session session)
void | setColumn(Column column)
void | setColumn(Column column)